org.eclipse.rdf4j.query.parser.sparql.ast

## Interface SyntaxTreeBuilderConstants

- All Known Implementing Classes:
    SyntaxTreeBuilder, SyntaxTreeBuilderTokenManager

      public interface SyntaxTreeBuilderConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABS` RegularExpression Id.
    `static int` | `ADD` RegularExpression Id.
    `static int` | `ALL` RegularExpression Id.
    `static int` | `ALPHA` RegularExpression Id.
    `static int` | `AND` RegularExpression Id.
    `static int` | `ANON` RegularExpression Id.
    `static int` | `AS` RegularExpression Id.
    `static int` | `ASC` RegularExpression Id.
    `static int` | `ASK` RegularExpression Id.
    `static int` | `AVG` RegularExpression Id.
    `static int` | `BASE` RegularExpression Id.
    `static int` | `BIND` RegularExpression Id.
    `static int` | `BINDINGS` RegularExpression Id.
    `static int` | `BLANK_NODE_LABEL` RegularExpression Id.
    `static int` | `BNODE` RegularExpression Id.
    `static int` | `BOUND` RegularExpression Id.
    `static int` | `BY` RegularExpression Id.
    `static int` | `CEIL` RegularExpression Id.
    `static int` | `CLEAR` RegularExpression Id.
    `static int` | `COALESCE` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `CONCAT` RegularExpression Id.
    `static int` | `CONSTRUCT` RegularExpression Id.
    `static int` | `CONTAINS` RegularExpression Id.
    `static int` | `COPY` RegularExpression Id.
    `static int` | `COUNT` RegularExpression Id.
    `static int` | `CREATE` RegularExpression Id.
    `static int` | `DATA` RegularExpression Id.
    `static int` | `DATATYPE` RegularExpression Id.
    `static int` | `DAY` RegularExpression Id.
    `static int` | `DECIMAL` RegularExpression Id.
    `static int` | `DECIMAL_NEGATIVE` RegularExpression Id.
    `static int` | `DECIMAL_POSITIVE` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DEFAULT_GRAPH` RegularExpression Id.
    `static int` | `DELETE` RegularExpression Id.
    `static int` | `DESC` RegularExpression Id.
    `static int` | `DESCRIBE` RegularExpression Id.
    `static int` | `DISTINCT` RegularExpression Id.
    `static int` | `DOT` RegularExpression Id.
    `static int` | `DOUBLE` RegularExpression Id.
    `static int` | `DOUBLE_NEGATIVE` RegularExpression Id.
    `static int` | `DOUBLE_POSITIVE` RegularExpression Id.
    `static int` | `DOUBLE1` RegularExpression Id.
    `static int` | `DOUBLE2` RegularExpression Id.
    `static int` | `DOUBLE3` RegularExpression Id.
    `static int` | `DROP` RegularExpression Id.
    `static int` | `DT_PREFIX` RegularExpression Id.
    `static int` | `ECHAR` RegularExpression Id.
    `static int` | `ENCODE_FOR_URI` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ` RegularExpression Id.
    `static int` | `EXISTS` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FILTER` RegularExpression Id.
    `static int` | `FLOOR` RegularExpression Id.
    `static int` | `FROM` RegularExpression Id.
    `static int` | `GE` RegularExpression Id.
    `static int` | `GRAPH` RegularExpression Id.
    `static int` | `GROUP` RegularExpression Id.
    `static int` | `GROUP_CONCAT` RegularExpression Id.
    `static int` | `GT` RegularExpression Id.
    `static int` | `HAVING` RegularExpression Id.
    `static int` | `HEX` RegularExpression Id.
    `static int` | `HOURS` RegularExpression Id.
    `static int` | `IF` RegularExpression Id.
    `static int` | `IN` RegularExpression Id.
    `static int` | `INSERT` RegularExpression Id.
    `static int` | `INTEGER` RegularExpression Id.
    `static int` | `INTEGER_NEGATIVE` RegularExpression Id.
    `static int` | `INTEGER_POSITIVE` RegularExpression Id.
    `static int` | `INTO` RegularExpression Id.
    `static int` | `INVERSE` RegularExpression Id.
    `static int` | `IRI` RegularExpression Id.
    `static int` | `IS_A` RegularExpression Id.
    `static int` | `IS_BLANK` RegularExpression Id.
    `static int` | `IS_IRI` RegularExpression Id.
    `static int` | `IS_LITERAL` RegularExpression Id.
    `static int` | `IS_NUMERIC` RegularExpression Id.
    `static int` | `LANG` RegularExpression Id.
    `static int` | `LANGMATCHES` RegularExpression Id.
    `static int` | `LANGTAG` RegularExpression Id.
    `static int` | `LBRACE` RegularExpression Id.
    `static int` | `LBRACK` RegularExpression Id.
    `static int` | `LCASE` RegularExpression Id.
    `static int` | `LE` RegularExpression Id.
    `static int` | `LIMIT` RegularExpression Id.
    `static int` | `LOAD` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `LT` RegularExpression Id.
    `static int` | `MAX` RegularExpression Id.
    `static int` | `MD5` RegularExpression Id.
    `static int` | `MIN` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MINUS_SETOPER` RegularExpression Id.
    `static int` | `MINUTES` RegularExpression Id.
    `static int` | `MONTH` RegularExpression Id.
    `static int` | `MOVE` RegularExpression Id.
    `static int` | `NAMED` RegularExpression Id.
    `static int` | `NE` RegularExpression Id.
    `static int` | `NIL` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NOT_EXISTS` RegularExpression Id.
    `static int` | `NOT_IN` RegularExpression Id.
    `static int` | `NOW` RegularExpression Id.
    `static int` | `NUM` RegularExpression Id.
    `static int` | `OFFSET` RegularExpression Id.
    `static int` | `OPTIONAL` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `ORDER` RegularExpression Id.
    `static int` | `PERCENT` RegularExpression Id.
    `static int` | `PIPE` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `PLX` RegularExpression Id.
    `static int` | `PN_CHARS` RegularExpression Id.
    `static int` | `PN_CHARS_BASE` RegularExpression Id.
    `static int` | `PN_CHARS_U` RegularExpression Id.
    `static int` | `PN_LOCAL` RegularExpression Id.
    `static int` | `PN_LOCAL_ESC` RegularExpression Id.
    `static int` | `PN_PREFIX` RegularExpression Id.
    `static int` | `PNAME_LN` RegularExpression Id.
    `static int` | `PNAME_NS` RegularExpression Id.
    `static int` | `PREFIX` RegularExpression Id.
    `static int` | `Q_IRI_REF` RegularExpression Id.
    `static int` | `QUESTION` RegularExpression Id.
    `static int` | `RAND` RegularExpression Id.
    `static int` | `RBRACE` RegularExpression Id.
    `static int` | `RBRACK` RegularExpression Id.
    `static int` | `REDUCED` RegularExpression Id.
    `static int` | `REGEX` RegularExpression Id.
    `static int` | `REPLACE` RegularExpression Id.
    `static int` | `ROUND` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `SAFE_CHAR_LONG1` RegularExpression Id.
    `static int` | `SAFE_CHAR_LONG2` RegularExpression Id.
    `static int` | `SAFE_CHAR1` RegularExpression Id.
    `static int` | `SAFE_CHAR2` RegularExpression Id.
    `static int` | `SAMETERM` RegularExpression Id.
    `static int` | `SAMPLE` RegularExpression Id.
    `static int` | `SECONDS` RegularExpression Id.
    `static int` | `SELECT` RegularExpression Id.
    `static int` | `SEMICOLON` RegularExpression Id.
    `static int` | `SEPARATOR` RegularExpression Id.
    `static int` | `SERVICE` RegularExpression Id.
    `static int` | `SHA1` RegularExpression Id.
    `static int` | `SHA224` RegularExpression Id.
    `static int` | `SHA256` RegularExpression Id.
    `static int` | `SHA384` RegularExpression Id.
    `static int` | `SHA512` RegularExpression Id.
    `static int` | `SILENT` RegularExpression Id.
    `static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
    `static int` | `SLASH` RegularExpression Id.
    `static int` | `STAR` RegularExpression Id.
    `static int` | `STR` RegularExpression Id.
    `static int` | `STR_AFTER` RegularExpression Id.
    `static int` | `STR_BEFORE` RegularExpression Id.
    `static int` | `STR_ENDS` RegularExpression Id.
    `static int` | `STR_STARTS` RegularExpression Id.
    `static int` | `STRDT` RegularExpression Id.
    `static int` | `STRING_LITERAL_LONG1` RegularExpression Id.
    `static int` | `STRING_LITERAL_LONG2` RegularExpression Id.
    `static int` | `STRING_LITERAL1` RegularExpression Id.
    `static int` | `STRING_LITERAL2` RegularExpression Id.
    `static int` | `STRLANG` RegularExpression Id.
    `static int` | `STRLEN` RegularExpression Id.
    `static int` | `STRUUID` RegularExpression Id.
    `static int` | `SUBSTR` RegularExpression Id.
    `static int` | `SUM` RegularExpression Id.
    `static int` | `TIMEZONE` RegularExpression Id.
    `static int` | `TO` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRUE` RegularExpression Id.
    `static int` | `TZ` RegularExpression Id.
    `static int` | `UCASE` RegularExpression Id.
    `static int` | `UNDEF` RegularExpression Id.
    `static int` | `UNION` RegularExpression Id.
    `static int` | `USING` RegularExpression Id.
    `static int` | `UUID` RegularExpression Id.
    `static int` | `VALUES` RegularExpression Id.
    `static int` | `VAR_CHAR` RegularExpression Id.
    `static int` | `VAR1` RegularExpression Id.
    `static int` | `VAR2` RegularExpression Id.
    `static int` | `VARNAME` RegularExpression Id.
    `static int` | `WHERE` RegularExpression Id.
    `static int` | `WHITESPACE` RegularExpression Id.
    `static int` | `WITH` RegularExpression Id.
    `static int` | `WS_CHAR` RegularExpression Id.
    `static int` | `YEAR` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### WS_CHAR

          static final int WS_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHITESPACE

          static final int WHITESPACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SINGLE_LINE_COMMENT

          static final int SINGLE_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACE

          static final int LBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACE

          static final int RBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACK

          static final int LBRACK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACK

          static final int RBRACK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMICOLON

          static final int SEMICOLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUESTION

          static final int QUESTION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SLASH

          static final int SLASH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PIPE

          static final int PIPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INVERSE

          static final int INVERSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DT_PREFIX

          static final int DT_PREFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NIL

          static final int NIL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ANON

          static final int ANON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS_A

          static final int IS_A

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BASE

          static final int BASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PREFIX

          static final int PREFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SELECT

          static final int SELECT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONSTRUCT

          static final int CONSTRUCT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DESCRIBE

          static final int DESCRIBE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASK

          static final int ASK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DISTINCT

          static final int DISTINCT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REDUCED

          static final int REDUCED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AS

          static final int AS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FROM

          static final int FROM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NAMED

          static final int NAMED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHERE

          static final int WHERE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ORDER

          static final int ORDER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GROUP

          static final int GROUP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BY

          static final int BY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASC

          static final int ASC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DESC

          static final int DESC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LIMIT

          static final int LIMIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OFFSET

          static final int OFFSET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OPTIONAL

          static final int OPTIONAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GRAPH

          static final int GRAPH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNION

          static final int UNION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS_SETOPER

          static final int MINUS_SETOPER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FILTER

          static final int FILTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HAVING

          static final int HAVING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXISTS

          static final int EXISTS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT_EXISTS

          static final int NOT_EXISTS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STR

          static final int STR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANG

          static final int LANG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANGMATCHES

          static final int LANGMATCHES

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DATATYPE

          static final int DATATYPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BOUND

          static final int BOUND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAMETERM

          static final int SAMETERM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS_IRI

          static final int IS_IRI

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS_BLANK

          static final int IS_BLANK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS_LITERAL

          static final int IS_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS_NUMERIC

          static final int IS_NUMERIC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COALESCE

          static final int COALESCE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BNODE

          static final int BNODE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRDT

          static final int STRDT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRLANG

          static final int STRLANG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UUID

          static final int UUID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRUUID

          static final int STRUUID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IRI

          static final int IRI

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IF

          static final int IF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IN

          static final int IN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT_IN

          static final int NOT_IN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COUNT

          static final int COUNT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SUM

          static final int SUM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MIN

          static final int MIN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MAX

          static final int MAX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AVG

          static final int AVG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAMPLE

          static final int SAMPLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GROUP_CONCAT

          static final int GROUP_CONCAT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEPARATOR

          static final int SEPARATOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REGEX

          static final int REGEX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BIND

          static final int BIND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SERVICE

          static final int SERVICE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BINDINGS

          static final int BINDINGS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VALUES

          static final int VALUES

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNDEF

          static final int UNDEF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRLEN

          static final int STRLEN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SUBSTR

          static final int SUBSTR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STR_STARTS

          static final int STR_STARTS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STR_ENDS

          static final int STR_ENDS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STR_BEFORE

          static final int STR_BEFORE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STR_AFTER

          static final int STR_AFTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REPLACE

          static final int REPLACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UCASE

          static final int UCASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LCASE

          static final int LCASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONCAT

          static final int CONCAT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONTAINS

          static final int CONTAINS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ENCODE_FOR_URI

          static final int ENCODE_FOR_URI

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RAND

          static final int RAND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ABS

          static final int ABS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CEIL

          static final int CEIL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOOR

          static final int FLOOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ROUND

          static final int ROUND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOW

          static final int NOW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### YEAR

          static final int YEAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MONTH

          static final int MONTH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DAY

          static final int DAY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HOURS

          static final int HOURS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUTES

          static final int MINUTES

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SECONDS

          static final int SECONDS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TIMEZONE

          static final int TIMEZONE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TZ

          static final int TZ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MD5

          static final int MD5

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHA1

          static final int SHA1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHA224

          static final int SHA224

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHA256

          static final int SHA256

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHA384

          static final int SHA384

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHA512

          static final int SHA512

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LOAD

          static final int LOAD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CLEAR

          static final int CLEAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DROP

          static final int DROP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ADD

          static final int ADD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOVE

          static final int MOVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COPY

          static final int COPY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CREATE

          static final int CREATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INSERT

          static final int INSERT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DATA

          static final int DATA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DELETE

          static final int DELETE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WITH

          static final int WITH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SILENT

          static final int SILENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT_GRAPH

          static final int DEFAULT_GRAPH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTO

          static final int INTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TO

          static final int TO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### USING

          static final int USING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### Q_IRI_REF

          static final int Q_IRI_REF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PNAME_NS

          static final int PNAME_NS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PNAME_LN

          static final int PNAME_LN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BLANK_NODE_LABEL

          static final int BLANK_NODE_LABEL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VAR1

          static final int VAR1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VAR2

          static final int VAR2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LANGTAG

          static final int LANGTAG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER

          static final int INTEGER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_POSITIVE

          static final int INTEGER_POSITIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_NEGATIVE

          static final int INTEGER_NEGATIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL

          static final int DECIMAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_POSITIVE

          static final int DECIMAL_POSITIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_NEGATIVE

          static final int DECIMAL_NEGATIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE

          static final int DOUBLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE1

          static final int DOUBLE1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE2

          static final int DOUBLE2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE3

          static final int DOUBLE3

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE_POSITIVE

          static final int DOUBLE_POSITIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE_NEGATIVE

          static final int DOUBLE_NEGATIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL1

          static final int STRING_LITERAL1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL2

          static final int STRING_LITERAL2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL_LONG1

          static final int STRING_LITERAL_LONG1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL_LONG2

          static final int STRING_LITERAL_LONG2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAFE_CHAR1

          static final int SAFE_CHAR1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAFE_CHAR2

          static final int SAFE_CHAR2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAFE_CHAR_LONG1

          static final int SAFE_CHAR_LONG1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SAFE_CHAR_LONG2

          static final int SAFE_CHAR_LONG2

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ECHAR

          static final int ECHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX

          static final int HEX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ALPHA

          static final int ALPHA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NUM

          static final int NUM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PN_CHARS_BASE

          static final int PN_CHARS_BASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PN_CHARS_U

          static final int PN_CHARS_U

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VAR_CHAR

          static final int VAR_CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PN_CHARS

          static final int PN_CHARS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PN_PREFIX

          static final int PN_PREFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PN_LOCAL

          static final int PN_LOCAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLX

          static final int PLX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PERCENT

          static final int PERCENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PN_LOCAL_ESC

          static final int PN_LOCAL_ESC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VARNAME

          static final int VARNAME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.